APIToolGet Tool by ID
Get Tool by ID
Fetch a tool by ID. configuration is returned as a parsed object. Returns 404 if the tool does not exist and 403 if it belongs to another organization.
Created: April 22, 2025
Updated: September 16, 2026
Overview
GET
https://dashboard.vinsi.ai/api/tools/{toolId}
Request
Headers
Content-Typestring
x-api-keystring
Params
toolIdstring
Example: cmexampletool000000000001
Response
{10 items
"id":string"cmexampletool000000000001"
"name":string"example-tool"
"description":string"example tool description"
"type":string"TransferCall"
"configuration":{2 items
"phoneNumber":string"+18001234567"
"transferMessage":string"transfer message"
}
"createdAt":string"2026-01-27T16:15:42.751Z"
"updatedAt":string"2026-01-27T16:15:42.751Z"
"userId":string"cmexampleuser0000000000001"
"organizationId":string"cmexampleorg00000000000001"
"dtmfOnly":null
}
Endpoint Explorer
Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.
GET
Headers
Content-Type: *
x-api-key: *
Params
toolId: *
Response
No response yet. Click Send to test the API.